Create a Pipeline Service
Create a new pipeline service connection
POST
POST /v1/services/pipelineServices
Create a Pipeline Service
Create a new pipeline service connection to a platform such as Airflow, Dagster, or Fivetran.Body Parameters
Type of pipeline service, for example
Airflow, GluePipeline, Airbyte, Dagster, Fivetran, DBTCloud, Nifi, DomoPipeline, CustomPipeline, Flink, KafkaConnect, SplineProducer, OpenLineage.POST /v1/services/pipelineServices
Returns
Returns the created pipeline service object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/services/pipelineServices instead of POST to perform an upsert. If a pipeline service with the same fullyQualifiedName already exists, it will be updated; otherwise, a new service is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/services/pipelineServices/bulk to create or update multiple pipeline services in a single request. The request body is an array of create request objects.